package com.imyeyu.fx.ui.components.alert;

import javafx.scene.control.PasswordField;

/**
 * 密码输入弹窗
 *
 * @author 夜雨
 * @since 2022-04-06 16:47
 */
public class AlertPassword extends AbstractAlertInput<PasswordField> {

	/**
	 * 密码输入弹窗
	 *
	 * @param content 内容
	 */
	public AlertPassword(String content) {
		this(AlertType.INFORMATION, AlertType.INFORMATION.getTitle(), content, "", AlertButton.confirm(), AlertButton.cancel());
	}

	/**
	 * 密码输入弹窗
	 *
	 * @param content 内容
	 * @param buttons    可控按钮
	 */
	public AlertPassword(String content, AlertButton... buttons) {
		this(AlertType.INFORMATION, AlertType.INFORMATION.getTitle(), content, "", buttons);
	}

	/**
	 * 密码输入弹窗
	 *
	 * @param type    弹窗类型
	 * @param title   标题
	 * @param content 内容
	 * @param text    预设输入框文本
	 * @param buttons    可控按钮
	 */
	public AlertPassword(AlertType type, String title, String content, String text, AlertButton... buttons) {
		super(new PasswordField(), type, title, content, text, buttons);
	}
}
